apiVersion: cdi.kubevirt.io/v1beta1
kind: DataVolume
metadata:
  name: isti-windows-ssd
  namespace: vms
spec:
  source:
    blank: {}
  pvc:
    accessModes:
      - ReadWriteOnce
    resources:
      requests:
        storage: 100Gi
    storageClassName: happiness-zfs
---
apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: isti-windows
  namespace: vms
  labels:
    vm: win11
spec:
  running: true
  template:
    metadata:
      name: windows
      labels:
        vm: win11
    spec:
      nodeSelector:
        kubernetes.io/hostname: happiness.sch.bme.hu
      domain:
        cpu:
          dedicatedCpuPlacement: true
          model: host-passthrough
          isolateEmulatorThread: true
          sockets: 1
          cores: 10
          threads: 2
        memory:
          hugepages:
            pageSize: "2Mi"
        devices:
          networkInterfaceMultiqueue: true
          interfaces:
            - name: default
              model: virtio
              bridge: {}
              macAddress: "02:bc:08:96:96:44"
            - name: internal
              model: virtio
              bridge: {}
              macAddress: "02:bc:08:96:96:42"
          gpus:
            - deviceName: "nvidia.com/RTX_3060Ti"
              name: gpu1
          disks:
            - name: ssd
              disk:
                bus: virtio
              bootOrder: 1
              cache: writethrough
            - name: iso
              cdrom:
                bus: sata
              bootOrder: 2
            - name: virtio
              cdrom:
                bus: sata
              bootOrder: 3
        machine:
          type: q35
        resources:
          limits:
            memory: 16Gi
          requests:
            memory: 16Gi
      networks:
        - name: default
          pod: {}
        - name: internal
          multus:
            networkName: sch-internal-windows
      volumes:
        - name: ssd
          persistentVolumeClaim:
            claimName: isti-windows-ssd
        - name: iso
          persistentVolumeClaim:
            claimName: windows-11-iso
        - name: virtio
          persistentVolumeClaim:
            claimName: virtio-iso